{$APPTYPE CONSOLE}
program problem_d;
const
      filein  = 'd.in';
      fileout = 'd.out';
      maxn    = 1100;
var
      i,j,k,l,m         : longint;
      n,a,b             : array [0..maxn] of longint;
      na,nab            : array [0..maxn] of longint;
      sn,sa,sb          : string;
      s,s1,s2,s3        : string;
      er                : integer;
{-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=}
begin
  assign(input,filein); reset(input);
  assign(output,fileout); rewrite(output);
    read(s);
    s:=s+' ';
    while (s[1]=' ') do delete(s,1,1);
    l:=pos(' ',s);
    sn:=copy(s,1,l-1);
    delete(s,1,l);

    while (s[1]=' ') do delete(s,1,1);
    l:=pos(' ',s);
    sa:=copy(s,1,l-1);
    delete(s,1,l);

    while (s[1]=' ') do delete(s,1,1);
    l:=pos(' ',s);
    sb:=copy(s,1,l-1);
    delete(s,1,l);

    n[0]:=length(sn);
    for i:=1 to n[0] do val(sn[n[0]-i+1],n[i],er);

    a[0]:=length(sa);
    for i:=1 to a[0] do val(sa[a[0]-i+1],a[i],er);

    b[0]:=length(sb);
    for i:=1 to b[0] do val(sb[b[0]-i+1],b[i],er);

    fillchar(na,sizeof(na),0);
  {-}
    for i:=1 to n[0] do
      begin
        n[i]:=n[i]-a[i];
        if n[i]<0 then
          begin
            n[i]:=n[i]+10;
            n[i+1]:=n[i+1]-1;
          end;
      end;
  n[0]:=maxn;
  while (n[0]>0)and(n[n[0]]=0) do dec(n[0]);
  if n[0]>b[0] then k:=n[0] else k:=b[0];

  for i:=1 to k+3 do
    begin
      n[i]:=n[i]+b[i];
      if n[i]>9 then
        begin
          m:=n[i];
          n[i]:=m mod 10;
          n[i+1]:=n[i+1]+m div 10;
        end;
    end;
  n[0]:=maxn;
  while (n[0]>0)and(n[n[0]]=0) do dec(n[0]);

  for i:=n[0] downto 1 do write(n[i]);
  close(input); close(output);
end.
 